#ifndef PLANE_H
#define PLANE_H


#include "object.h"

class Plane : public Object
{
public :
  // Set default parameters. Radius is 1.0, position is 0,0,0. 
  Plane();
  virtual ~Plane() {}
  
  // Accesseurs 
  virtual void draw() const;
  virtual float boundingRadius() const { return bradius_; }
  virtual bool intersect(const Ray&, Hit& hit) const;

  virtual void initFromDOMElement(const QDomElement& e);
  
  float *getEquation(){
	  return equation_;
  }
private:
  float bradius_;
  float equation_[4];
};



#endif //PLANE_H